<template>
    <div id="goban">
        <Goban
            ref="goban"
            v-if="situationInitiale.length > 0"
            :situationInitiale="situationInitiale"
            :taille="taille"
        />
    </div>
</template>

<script>
import Axios from 'axios';
import Goban from './GobanJeuLibre.vue';
export default {
    components: { Goban },
    data() {
        return {
            situationInitiale: [],
            taille: Number
        };
    },

    beforeRouteEnter(to, from, next) {
        next(vm =>
            Axios.get(vm.$hostname + 'libertes/0').then(
                response => {
                    vm.situationInitiale = response.data.situationInitiale;
                    vm.taille = response.data.taille;
                },
                response => {
                    console.log('erreur', response);
                }
            )
        );
    }
};
</script>
